curl --request POST \
--url https://api.entendre.finance/v1/assets \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-API-Key: <api-key>' \
--data '
{
"asset_type": "ETH",
"quantity": "100.00",
"cost_basis": "100.00",
"legal_entity_id": "le_507f1f77bcf86cd799439011",
"ledger_account_id": "lac_507f1f77bcf86cd799439011",
"source_id": "wal_507f1f77bcf86cd799439011"
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'X-API-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
asset_type: 'ETH',
quantity: '100.00',
cost_basis: '100.00',
legal_entity_id: 'le_507f1f77bcf86cd799439011',
ledger_account_id: 'lac_507f1f77bcf86cd799439011',
source_id: 'wal_507f1f77bcf86cd799439011'
})
};
fetch('https://api.entendre.finance/v1/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.entendre.finance/v1/assets"
payload = {
"asset_type": "ETH",
"quantity": "100.00",
"cost_basis": "100.00",
"legal_entity_id": "le_507f1f77bcf86cd799439011",
"ledger_account_id": "lac_507f1f77bcf86cd799439011",
"source_id": "wal_507f1f77bcf86cd799439011"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "ast_abc123",
"asset_type": "ETH",
"quantity": "100.00",
"remaining_quantity": "100.00",
"cost_basis": "100.00",
"currency": "USD",
"date_received": null,
"chain": null,
"legal_entity_id": "le_507f1f77bcf86cd799439011",
"ledger_account_id": "lac_507f1f77bcf86cd799439011",
"transaction_id": null,
"source_id": "src_507f1f77bcf86cd799439011",
"is_manual": true,
"created_at": null,
"updated_at": null
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid path, query or request body.",
"request_id": "req_example"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication is required.",
"request_id": "req_example"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Insufficient access to organization",
"request_id": "req_example"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found",
"request_id": "req_example"
}
}{
"error": {
"code": "CONFLICT",
"message": "The resource state does not allow this operation.",
"request_id": "req_example"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded. Retry after 30s.",
"request_id": "req_example"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error",
"request_id": "req_example"
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service unavailable.",
"request_id": "req_example"
}
}Create manual asset
Creates a manual opening asset and adjusts its opening balance. Opening-period and reference checks apply.
curl --request POST \
--url https://api.entendre.finance/v1/assets \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-API-Key: <api-key>' \
--data '
{
"asset_type": "ETH",
"quantity": "100.00",
"cost_basis": "100.00",
"legal_entity_id": "le_507f1f77bcf86cd799439011",
"ledger_account_id": "lac_507f1f77bcf86cd799439011",
"source_id": "wal_507f1f77bcf86cd799439011"
}
'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'X-API-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
asset_type: 'ETH',
quantity: '100.00',
cost_basis: '100.00',
legal_entity_id: 'le_507f1f77bcf86cd799439011',
ledger_account_id: 'lac_507f1f77bcf86cd799439011',
source_id: 'wal_507f1f77bcf86cd799439011'
})
};
fetch('https://api.entendre.finance/v1/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.entendre.finance/v1/assets"
payload = {
"asset_type": "ETH",
"quantity": "100.00",
"cost_basis": "100.00",
"legal_entity_id": "le_507f1f77bcf86cd799439011",
"ledger_account_id": "lac_507f1f77bcf86cd799439011",
"source_id": "wal_507f1f77bcf86cd799439011"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "ast_abc123",
"asset_type": "ETH",
"quantity": "100.00",
"remaining_quantity": "100.00",
"cost_basis": "100.00",
"currency": "USD",
"date_received": null,
"chain": null,
"legal_entity_id": "le_507f1f77bcf86cd799439011",
"ledger_account_id": "lac_507f1f77bcf86cd799439011",
"transaction_id": null,
"source_id": "src_507f1f77bcf86cd799439011",
"is_manual": true,
"created_at": null,
"updated_at": null
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid path, query or request body.",
"request_id": "req_example"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication is required.",
"request_id": "req_example"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Insufficient access to organization",
"request_id": "req_example"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found",
"request_id": "req_example"
}
}{
"error": {
"code": "CONFLICT",
"message": "The resource state does not allow this operation.",
"request_id": "req_example"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded. Retry after 30s.",
"request_id": "req_example"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error",
"request_id": "req_example"
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service unavailable.",
"request_id": "req_example"
}
}Authorizations
Your organization API key. Some operations also need a key that is associated with a user; their pages say so.
Headers
Unique key for this operation. Retry with the same key and request body after a timeout. Keys are retained for at least 24 hours.
1 - 255Body
Asset type or symbol. To add to an existing type, use the exact asset_type from List assets.
"ETH"
Positive decimal string, such as "10.5". JSON numbers are rejected.
Decimal string, such as "15750.00". JSON numbers are rejected.
Prefixed legal entity ID (le_).
Prefixed ledger account ID (lac_).
Wallet, exchange or Plaid source that holds the opening asset (wal_…, exs_… or pla_… from List sources).
"wal_507f1f77bcf86cd799439011"
Acquisition date (YYYY-MM-DD).
"2026-08-01"
Defaults to legal entity base currency.
Blockchain network, such as eth.
Response
Created.
Show child attributes
Show child attributes